Package tigase.xmpp

# Enum Class StreamError

java.lang.Object
java.lang.Enum<StreamError>
tigase.xmpp.StreamError

All Implemented Interfaces:
  `Serializable`, `Comparable<StreamError>`, `Constable`

public enum StreamError extends Enum<StreamError>

Author:
  andrzej

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BadFormat`
  `BadNamespacePrefix`
  `Conflict`
  `ConnectionTimeout`
  `HostGone`
  `HostUnknown`
  `ImproperAddressing`
  `InternalServerError`
  `InvalidFrom`
  `InvalidNamespace`
  `InvalidXml`
  `NotAuthorized`
  `NotWellFormed`
  `PolicyViolation`
  `RemoteConnectionFailed`
  `Reset`
  `ResourceConstraint`
  `RestrictedXml`
  `SeeOtherHost`
  `SystemShutdown`
  `UndefinedCondition`
  `UnsupportedEncoding`
  `UnsupportedFeature`
  `UnsupportedStanzaType`
  `UnsupportedVersion`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StreamError`
  `getByCondition(String condition)`
  `String`
  `getCondition()`
  `static StreamError`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StreamError[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BadFormat

    public static final StreamError BadFormat

  - ### BadNamespacePrefix

    public static final StreamError BadNamespacePrefix

  - ### Conflict

    public static final StreamError Conflict

  - ### ConnectionTimeout

    public static final StreamError ConnectionTimeout

  - ### HostGone

    public static final StreamError HostGone

  - ### HostUnknown

    public static final StreamError HostUnknown

  - ### ImproperAddressing

    public static final StreamError ImproperAddressing

  - ### InternalServerError

    public static final StreamError InternalServerError

  - ### InvalidFrom

    public static final StreamError InvalidFrom

  - ### InvalidNamespace

    public static final StreamError InvalidNamespace

  - ### InvalidXml

    public static final StreamError InvalidXml

  - ### NotAuthorized

    public static final StreamError NotAuthorized

  - ### NotWellFormed

    public static final StreamError NotWellFormed

  - ### PolicyViolation

    public static final StreamError PolicyViolation

  - ### RemoteConnectionFailed

    public static final StreamError RemoteConnectionFailed

  - ### Reset

    public static final StreamError Reset

  - ### ResourceConstraint

    public static final StreamError ResourceConstraint

  - ### RestrictedXml

    public static final StreamError RestrictedXml

  - ### SeeOtherHost

    public static final StreamError SeeOtherHost

  - ### SystemShutdown

    public static final StreamError SystemShutdown

  - ### UndefinedCondition

    public static final StreamError UndefinedCondition

  - ### UnsupportedEncoding

    public static final StreamError UnsupportedEncoding

  - ### UnsupportedFeature

    public static final StreamError UnsupportedFeature

  - ### UnsupportedStanzaType

    public static final StreamError UnsupportedStanzaType

  - ### UnsupportedVersion

    public static final StreamError UnsupportedVersion

- ## Method Details

  - ### values

    public static StreamError[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StreamError valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getByCondition

    public static StreamError getByCondition(String condition)

  - ### getCondition

    public String getCondition()